diff --git a/src/base/mouse/mouse.c b/src/base/mouse/mouse.c
index 77692e65c7..9ece9a86aa 100644
--- a/src/base/mouse/mouse.c
+++ b/src/base/mouse/mouse.c
@@ -258,14 +258,6 @@ mouse_helper(struct vm86_regs *regs)
     m_printf("MOUSE Start video mode set\n");
     /* make sure cursor gets turned off */
     mouse_cursor(-1);
-    /* the below makes 2 cursors in windows when grab active
-     * Disable for now. */
-#if 0
-    /* reset hide count on mode switches to fix this:
-     * https://github.com/stsp/dosemu2/issues/314
-     */
-    mouse.cursor_on = -1;
-#endif
     break;
   case DOS_SUBHELPER_MOUSE_END_VIDEO_MODE_SET:
     m_printf("MOUSE End video mode set\n");
@@ -287,6 +279,13 @@ mouse_helper(struct vm86_regs *regs)
     }
     /* replace cursor if necessary */
     mouse_cursor(1);
+    /* reset hide count on mode switches to fix this:
+     * https://github.com/stsp/dosemu2/issues/314
+     */
+    if (mouse.cursor_on < -1) {
+	m_printf("MOUSE: normalizing hide count, %i\n", mouse.cursor_on);
+	mouse.cursor_on = -1;
+    }
     break;
   case 0xf2:
     m_printf("MOUSE int74 helper\n");
